---


- include_tasks: reset_bluetooth.yml
  args:
    apply:
      tags:
        - reset_bluetooth
        - reset
  tags:
    - reset_bluetooth
    - reset


- include_tasks: setup_bluetooth.yml
  args:
    apply:
      tags:
        - setup_bluetooth
        - setup
  tags:
    - setup_bluetooth
    - setup


- include_role:
    name: backup_restore
    apply:
      tags:
        - backup_bluetooth
        - backup
  vars:
    action: 'backup'
    param: "{{ bluetooth_backup_param  }}"
  tags:
    - backup_bluetooth
    - backup


- include_role:
    name: backup_restore
    apply:
      tags:
        - restore_bluetooth
        - restore
        - setup_bluetooth
        - setup
  vars:
    action: 'restore'
    param: "{{ bluetooth_backup_param  }}"
  tags:
    - restore_bluetooth
    - restore
    - setup_bluetooth
    - setup
